# OSGeo::FDO::Schema::SchemaElement Class Reference
[OSGeo::FDO::Schema]

Inheritance diagram for OSGeo::FDO::Schema::SchemaElement:

[legend]

List of all members.

## Detailed Description

SchemaElement is an abstract class that acts as a base class for all classes in the Schema package.

()

## Public Member Functions
System::Void | Delete ()
| Marks the schema element for deletion by setting the element state to SchemaElementState_Deleted. If the schema elements current state is SchemaElementState_Added then the element is physically removed. If the current state is SchemaElementState_Detached this method does nothing.
__property OSGeo::FDO::Schema::SchemaAttributeDictionary * | get_Attributes ()
| Gets an SchemaAttributeDictionary that contains the attributes associated with this SchemaElement.
__property System::Boolean | get_CanSetName ()
| Indicates whether the name of the Element can be changed once it has been created.
__property System::String * | get_Description ()
| Gets the description of the schema object.
__property OSGeo::FDO::Schema::SchemaElementState | get_ElementState ()
| Returns the current state of the schema element.
__property OSGeo::FDO::Schema::FeatureSchema * | get_FeatureSchema ()
| Gets the FeatureSchema this object is a part of. Returns null if this object has not been added to a feature schema.
__property System::String * | get_Name ()
| Gets the name of the schema object.
__property OSGeo::FDO::Schema::SchemaElement * | get_Parent ()
| Gets the parent of this SchemaElement or null if this object has not been added to a parent object.
__property System::String * | get_QualifiedName ()
| Gets the fully qualified name of this schema element.
| SchemaElement (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs a SchemaElement object based on an unmanaged instance of the object.
__property System::Void | set_Description (System::String *value)
| Sets the description of the schema object.
__property System::Void | set_Name (System::String *value)
| Sets the name of the schema object.